import io.thp.pyotherside 1.5
import QtQuick 2.5
import QtQuick.Controls 2.1
import QtQuick.Layouts 1.1
import Ubuntu.Components 1.3

MainView {
    id: root

    objectName: 'mainView'
    applicationName: 'gpstest.evilbunny'

    visible: true
    width: units.gu(50)
    height: units.gu(80)

    Page {
        id: page
        anchors.fill: parent

        header: PageHeader {
            id: header
            title: "Login to Geocaching.com"
        }

        Component.onCompleted: {
            // pytest.call("util.downloadAndSave", ["https://www.geocaching.com/account/signin", "geocaching.com.txt"], function(result) {
            // pytest.call("util.downloadAndSave", ["http://delungra.com", "delungra.com.txt"], function(result) {
            //     console.log(result)
            // })
        }

        ColumnLayout {
            anchors.fill: parent
            spacing: 3

            TextField {
                id: login
                Layout.fillWidth: true
                placeholderText: "Username"
            }

            TextField {
                id: password
                Layout.fillWidth: true
                placeholderText: "Password"
                echoMode: TextInput.PasswordEchoOnEdit
            }

            Button {
                id: proccessButton
                Layout.fillWidth: true
                text: "Login"
                color: UbuntuColors.green
            }

            TextArea {
                id: data
                text: "Not logged in.\n\n"
                readOnly: true
                Layout.fillHeight: true
                Layout.fillWidth: true
            }
        }
    }

    Python {
        id: pytest
        Component.onCompleted: {
            addImportPath(Qt.resolvedUrl('../py/'))
            importModule("util", function() {});
        }
    }
}